
var leona;

function addLeonaRenderType(renderer) 
{

var model = renderer.getModel();

var head = model.getPart("head").clear();
var body = model.getPart("body").clear();
var rArm = model.getPart("rightArm").clear();
var lArm = model.getPart("leftArm").clear();
var rLeg = model.getPart("rightLeg").clear();
var lLeg = model.getPart("leftLeg").clear();

head.clear();
	head.setTextureOffset(0,0);
	head.addBox(0,9,-6,6,6,4); //head
	head.setTextureOffset(48,0);
	head.addBox(-1,8,-5,2,2,1); //ear
	head.setTextureOffset(48,0);
	head.addBox(5,8,-5,2,2,1); //ear
	head.setTextureOffset(33,0);
	head.addBox(1.5,12,-7,3,3,1); //nose
 
	body.clear();
	body.setTextureOffset(30,12);
	body.addBox(0,9,-1,6,6,9); //body
	body.addBox(2,10,7,2,2,8); //tail 
 
	lLeg.clear();
	lLeg.setTextureOffset(30,12);
	lLeg.addBox(1.9,1,7,2,8,2); //front leg
	lLeg.addBox(1.9,1,-1,2,8,2); //back leg
 
	rLeg.clear();
	rLeg.setTextureOffset(30,12);
	rLeg.addBox(1.9,1,7,2,8,2); //front leg
	rLeg.addBox(1.9,1,-1,2,8,2); //back leg
 
	rArm.clear();
	lArm.clear();
 
}
 
var leonaRenderType = Renderer.createHumanoidRenderer();
addLeonaRenderType(leonaRenderType);


function useItem(x,y,z,itemId,block,side)
{
if(itemId==507)
{
leona= Level.spawnMob(x,y+1,z,35,"mob/lionw.png");
Entity.setRenderType(leona,leonaRenderType.renderType);   
}
}

function procCmd(c)
{
var cmd = c.split(" ");
if(cmd[0]=="animals")
{
Player.addItemInventory(507,1);
}
}

function deathHook (attacker, victim)
{
if(victim==leona)
{
Level.dropItem(Entity.getX(victim),Entity.getY(victim), Entity.getZ(victim),1,422,1,0);
Level.dropItem(Entity.getX(victim),Entity.getY(victim), Entity.getZ(victim),1,425,1,0);
}
}