
var cocodrilo;

function addCocodriloRenderType(renderer) 
{

var model = renderer.getModel();
var var2 = 0;

var head = model.getPart("head").clear();
var body = model.getPart("body").clear();
var rArm = model.getPart("rightArm").clear();
var lArm = model.getPart("leftArm").clear();
var rLeg = model.getPart("rightLeg").clear();
var lLeg = model.getPart("leftLeg").clear();

head.clear();
head.setTextureOffset(0, 0, true);
head.addBox(-2, 13.5, -8, 6, 5, 5, var2); //cabeza
head.setTextureOffset(22, 0, true);
head.addBox(-1, 14.5, -14, 4, 4, 6, var2);  //trompa

body.clear();
body.setTextureOffset(0, 10, true);
body.addBox(-2.5, 13.5, -3, 8, 6, 10, var2);   //cuerpo
body.setTextureOffset(36,10, true);
body.addBox(-1.5, 14.5, 6.5, 6, 5, 4, var2);  //cola 1
body.setTextureOffset(42, 0, true);
body.addBox(-1, 16, 9.5, 4, 4, 4, var2);    //cola2
body.setTextureOffset(36, 19, true);
body.addBox(-.5, 17, 12, 3, 2, 4, var2);   //cola3

rLeg.clear();
rLeg.setTextureOffset(50, 19, true);
rLeg.addBox(.5, 8, -2, 3, 3, 3, var2);   //enfrente
rLeg.addBox(.5, 8, 4, 3, 3, 3, var2);   //atras

lLeg.clear();
lLeg.setTextureOffset(50, 19, true);
lLeg.addBox(0, 8, -2, 3, 3, 3, var2);  //enfrente
lLeg.addBox(0, 8, 4, 3, 3, 3, var2);  //atras
 
}
 
var cocodriloRenderType = Renderer.createHumanoidRenderer();
addCocodriloRenderType(cocodriloRenderType);


function useItem(x,y,z,itemId,block,side)
{
if(itemId==505)
{
cocodrilo= Level.spawnMob(x,y+1,z,35,"mob/crocodile.png");
Entity.setRenderType(cocodrilo,cocodriloRenderType.renderType);   
}
}

function procCmd(c)
{
var cmd = c.split(" ");
if(cmd[0]=="animals")
{
Player.addItemInventory(505,1);
}
}


function deathHook (attacker, victim)
{
if(victim==cocodrilo)
{
Level.dropItem(Entity.getX(victim),Entity.getY(victim), Entity.getZ(victim),1,375,1,0);
}
}

