
var pinguino;

function addPinguinoRenderType(renderer) 
{

var model = renderer.getModel();
var var2 = 0;

var head = model.getPart("head").clear();
var body = model.getPart("body").clear();
var rArm = model.getPart("rightArm").clear();
var lArm = model.getPart("leftArm").clear();
var rLeg = model.getPart("rightLeg").clear();
var lLeg = model.getPart("leftLeg").clear();

head.clear();
head.setTextureOffset(0, 0, true);
head.addBox(-1.5, 0, -2.5, 7, 8, 6, var2);

body.clear();
body.setTextureOffset(0, 14, true);
body.addBox(-2.5, 8, -3, 9, 10, 6, var2);

rArm.clear();
rArm.setTextureOffset(31, 14, true);
rArm.addBox(1.5, 8, -2, 1, 10, 6, var2);

lArm.clear();
lArm.setTextureOffset(31, 14, true);
lArm.addBox(0.5, 8, -3, 1, 10, 6, var2);

rLeg.clear();
rLeg.setTextureOffset(32, 1, true);
rLeg.addBox(.5, 7, .5, 1, 3, 1, var2);
rLeg.setTextureOffset(41, 0, true);
rLeg.addBox(-.5, 9.5, -1, 3, 1, 4, var2);

lLeg.clear();
lLeg.setTextureOffset(32, 1, true);
lLeg.addBox(.5, 7, .5, 1, 3, 1, var2);
lLeg.setTextureOffset(41, 0, true);
lLeg.addBox(-.5, 9.5, -1, 3, 1, 4, var2);
 
}
 
var pinguinoRenderType = Renderer.createHumanoidRenderer();
addPinguinoRenderType(pinguinoRenderType);


function useItem(x,y,z,itemId,block,side)
{
if(itemId==510)
{
pinguino= Level.spawnMob(x,y+1,z,10,"mob/penguin.png");
Entity.setRenderType(pinguino,pinguinoRenderType.renderType);   
}
}

function procCmd(c)
{
var cmd = c.split(" ");
if(cmd[0]=="animals")
{
Player.addItemInventory(510,1);
}
}


function deathHook (attacker, victim)
{
if(victim==pinguino)
{
Level.dropItem(Entity.getX(victim),Entity.getY(victim), Entity.getZ(victim),1,412,1,0);
}
}